GETTeam by ID
Team profile with venue, coach, kit colours, seasons and leagues.
/v2.2/teams/ with t=info
Try it in the interactive referenceAll Teams operations
Request
GET /v2.2/teams/?user=USER&token=TOKEN&t=info&id=111- Every request needs the
userandtokenquery parameters of the account.
Parameters
| Name | Required | Description | Example |
|---|---|---|---|
id | yes | Team ID. | 111 |
Example response
{
"data": {
"id": 111,
"common_name": "Bayern Munich",
"name": "FC Bayern Munich",
"short_code": "BMU",
"is_national": 0,
"img": "https://cdn.soccersapi.com/images/soccer/teams/100/111.png",
"current_seasons": [
21268
],
"leagues": [
{
"id": "594",
"name": "Bundesliga",
"is_cup": "0",
"is_amateur": "0",
"is_friendly": "0",
"current_season_id": "21268",
"seasons": [
{
"id": 21268,
"name": "26/27",
"is_current": 1
}
]
}
],
"founded": "1900",
"twitter": "FCBayern",
"coach_id": 5992,
"venue_id": 1446,
"kit": [
{
"type": "home",
"colors": {
"shirt": "#f23a3a",
"sleeve": "#ffffff",
"number": "#ffffff"
}
}
],
"country": {
"id": 4,
"name": "Germany",
"cc": "de"
}
},
"meta": {
"requests_left": 2950,
"user": "your_username",
"plan": "Soccer API 50",
"page": 1,
"pages": 1,
"count": 1,
"total": 1,
"msg": ""
}
}